gworldclock (1.4.4-12) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Package Salvage team
    Closes: #1087389
  * d/rules: short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Really set hardening flags

  [ Helmut Grohne ]
  * Remove broken embedded copy of PKG_CHECK_MODULES
    Closes: #900864

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2024 13:40:20 +0100

gworldclock (1.4.4-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007661.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 08:43:13 +0200

gworldclock (1.4.4-11) unstable; urgency=medium

  * Apply patch to sort countries by name. Thanks Logan Rosan.
    Closes: #832790.
  * Apply patch to translate menu. Thanks Takeshi Hamasaki.
    Closes: #875999.
  * tzwatch takes -d option to provide datetime string to display
    (cf. date -d). Closes: #649186.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Dec 2017 11:15:58 +1100

gworldclock (1.4.4-10) unstable; urgency=medium

  * Standards-Version: 3.9.8
    - Remove deprecated Debian menu entry in favour of FreeDesktop
      specification.
  * Enable separate arch and arch-indep build targets.
    Thanks Santiago Vila for the patch. Closes: #821990.
  * Update autotools config files at build time.
    Thanks Logan Rosen for the patch.  Closes: #735396.
  * debian/compat = 9
    - apply hardening flags during build

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jul 2016 00:45:49 +0800

gworldclock (1.4.4-9) unstable; urgency=low

  * When the timer is counting to the minute, make sure it is
    synchronised to 00 secs. Closes: #490203.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Sep 2010 09:45:05 +1000

gworldclock (1.4.4-8) unstable; urgency=low

  * Use %ms rather than %as in scanf to get dynamic allocation of
    input strings. See man scanf.
  * autoreconf to update autoconf files
  * German translation. Thanks Chris Leick! Closes: #576916.
  * Put more detail into description for "rendezvous". Closes: #565870.
  * lintian fixes:
    - remove dh_desktop (deprecated) from debian/rules
    - tzwatch Depends: ${misc:Depends} (for debhelper support)
  * Standards-Version: 3.9.1
  * Add Universal zones to Add Zone tabs. Closes: #312241.
  * Toggle box for rendezvous: toggle off if no zone was selected,
    don't unsync was rendezvous is not running (or else new timer will
    be set, preventing rendezvous from freezing the clock). Closes: #565869.

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Sep 2010 00:18:46 +1000

gworldclock (1.4.4-7) unstable; urgency=low

  * Use name "World Clock (gworldclock)" in desktop file, cowardly
    capitulating to the Gnome Dummification Project.  Closes: #465441.
  * Update menu section to Applications/Amateur Radio.
  * New standards version 3.7.3.
  * Call dh_desktop in debian/rules (though it doesn't do anything yet).

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Apr 2008 22:18:27 +1000

gworldclock (1.4.4-6) unstable; urgency=low

  * Use gworldclock.png as icon in the Debian menu. Funny, the menu
    docs say they only accept xpm, but png seems to work fine. I can't
    find any window manager which uses icons in the menu that won't
    display it. If you know something I don't know then tell me,
    otherwise I'll just keep the one icon file for simplicity.
    Closes: #397429.

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Nov 2006 01:27:31 +1100

gworldclock (1.4.4-5) unstable; urgency=low

  * Oh, and apply ubuntu's 01icon.dpatch to get the icon registered
    inside gworldclock.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Oct 2006 23:20:45 +1000

gworldclock (1.4.4-4) unstable; urgency=low

  * Use quote marks (and 'x') around $zone when testing if Local in
    tzwatch. Closes: #388364.
  * Accept ubuntu's .desktop menu file and uuencoded .png icon (flagged as
    a patch at http://packages.qa.debian.org/g/gworldclock.html). You'd
    think they'd have sent an email letting me know they'd made them,
    if they'd bothered to go to all the trouble of creating them. *sigh*
  * Use dh_install for both tzwatch and gworldclock.
  * #include <string.h> in zones.c, to get strlen() properly defined.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Oct 2006 23:14:28 +1000

gworldclock (1.4.4-3) unstable; urgency=low

  * Include Swedish translation.  Thanks Daniel Nylander. Closes: #345181
  * Standards version 3.7.2.
  * Use debhelper 5.
  * Run gettextize, update autoconf files and po directory (add
    LINGUAS file to po, including en@quot en@boldquot in it)
    Updated po/POTFILES.in. Closes: #317778.

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Aug 2006 17:45:58 +1000

gworldclock (1.4.4-2) unstable; urgency=low

  * Improved I18N of action menus and updated Japanese translation.
    Thanks Junichi Uekawa. Closes: #317784, #317790.
  * New standards version 3.6.2.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jul 2005 02:02:54 +1000

gworldclock (1.4.4-1) unstable; urgency=medium

  * New upstream version.
    - modernised design of AddZone dialog. Closes: #193952.
    - removed use of deprecated GTK functions and objects.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Mar 2005 13:50:18 +1000

gworldclock (1.4.3-1) unstable; urgency=medium

  * New upstream version:
    - Only beat on the second when required according to the date format,
      otherwise beat once a minute. Closes: #271080, #299862.

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Mar 2005 02:15:01 +1100

gworldclock (1.4.2-1) unstable; urgency=medium

  * New upstream version. Adds #includes to options.c and timer.c missed in
    1.4.1 (see bug #288348).

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Feb 2005 23:55:57 +1100

gworldclock (1.4.1-1) unstable; urgency=medium

  * New upstream version:
    - #include <stdlib.h> in rendezvous.c to use getenv() correctly.
      Closes: #288348.
    - Let Done button trigger Rendezvous toggle, to keep Rendezvous state
      properly consistent. Closes: #293258.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Feb 2005 21:45:50 +1100

gworldclock (1.4.0-1) unstable; urgency=low

  * New upstream release: the first in the 1.4 series, modernising the GTK
    API used (no more deprecated functions).
  * Allows the user to define an alternate label for the "Done" button in
    Rendezvous.  This is done through ~/.gworldclock, adding a <rendezvous>
    node inside <gworldclock>, e.g.
    	 <rendezvous>
	   <doneLabel>Return to normal clock operation</doneLabel>
	 </rendezvous>
    Also, the zone being rendezvoused against can be selected with a single
    left click on another zone. Note the toggle mark in the main menu for
    turning Rendezvous on and off.  Closes: #213368.

 -- Drew Parsons <dparsons@debian.org>  Mon,  3 Jan 2005 14:27:54 +1100

gworldclock (1.3-5) unstable; urgency=medium

  * In tzwatch, awk /^+/ is a GNU-only (gawk) means of checking for a
    leading '+'.  The posix-compliant method requires the '+' to be escaped:
    awk /^\\+/  (for some reason the escape needs to be escaped too).
    Syd Bauman's perl version:
    	DATEFORMAT=$( echo $DATEFORMAT | perl -pe"s/^['\"]//; s/['\"]$//; s/^\+?/+/;" )
    or
      	DATEFORMAT=$( echo $DATEFORMAT | perl -pe"s/^['\"]?\+?(.*?)['\"]?$/+\1/;" )
    might arguably be a little simpler, but I prefer not to use perl so as
    not to force people with smaller systems to have to install it.
    Closes: #286730.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Dec 2004 15:29:17 +1100

gworldclock (1.3-4) unstable; urgency=low

  * Fixed the fix. The date format is not used if it is not there. Chris's
    solution would have been simpler, but I didn't want to make my own
    assumptions about the "default" format.  Closes: #283813. (actually,
    it's already closed).
  * Use $(...) rather than `...` for checking the date format - seems more
    robust for handling quotes-within-quotes (mostly anyway: "'+%I %a'"
    remains invalid while "+'%I %a'" is OK.  Anyway, if it's valid for date,
    it should now be valid for tzwatch).

 -- Drew Parsons <dparsons@debian.org>  Mon,  6 Dec 2004 21:43:17 +1100

gworldclock (1.3-3) unstable; urgency=low

  * Placed double quotes around $DATEFORMAT when creating time string in
    tzwatch, allows spaces to be used in the format string. Closes: #283813.
  * While we're at it, ensure DATEFORMAT has a leading '+'.  Hence the
    format string for "tzwatch -f" should be robust, working with or without
    the '+', with or without surrounding quote marks. (Of course, quote
    marks are necessary if you want to include a space character!)

 -- Drew Parsons <dparsons@debian.org>  Fri,  3 Dec 2004 18:28:59 +1100

gworldclock (1.3-2) unstable; urgency=low

  * Build-depends: libxml2-dev. Closes: #224865.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Dec 2003 15:31:20 +1100

gworldclock (1.3-1) unstable; urgency=low

  * New upstream version.
    - Allows the format of the time & date display to be set and saved
      in an XML preference file (~/.gworldclock).  Closes: #189126.

 -- Drew Parsons <dparsons@debian.org>  Fri,  5 Dec 2003 10:31:20 +1100

gworldclock (1.2-2) unstable; urgency=low

  * Comment out xml references in options.c (Work In Progress...).

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Sep 2003 09:00:33 +1000

gworldclock (1.2-1) unstable; urgency=low

  * New upstream version.
    - Includes Junichi Uekawa's I18N patch.  Closes: #202928.
    - Relabels the "synchronisation" function as "rendezvous".
      Thanks Jeff Waugh for the inspiration!
  * Standards version 3.6.1.

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Sep 2003 00:36:23 +1000

gworldclock (1.1-1) unstable; urgency=low

  * New upstream version.
  * Reorganises code, making maintenance and development easier.
  * Added ${misc:Depends} to debian/control.
  * Standards version 3.5.9.

 -- Drew Parsons <dparsons@debian.org>  Sat,  5 Apr 2003 23:46:35 +1000

gworldclock (1.0.3-1) unstable; urgency=low

  * New upstream version.
  * Fixes hanging dragged zone on right mouse click.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Sep 2002 16:21:26 +1000

gworldclock (1.0.2-1) unstable; urgency=low

  * Fixes a bad memory leak.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Sep 2002 23:30:59 +1000

gworldclock (1.0.1-1) unstable; urgency=low

  * New upstream version, fixes reference to version and release data in
    "About" message.

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2002 18:02:15 +1000

gworldclock (1.0-1) unstable; urgency=low

  * New upstream version: port to GTK+ 2.0.
  * GTK+ 2.0 rules!  Full international support via Pango!
    (Zone descriptions can now be written in any language).
  * Standards version 3.5.7.

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2002 10:10:59 +1000

gworldclock (0.3.3-1) unstable; urgency=low

  * New upstream version.
  * Changes "timezone" to the correct English phrase "time zone".
    Closes: #124714, #125444.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Jan 2002 18:31:49 +1100

gworldclock (0.3.2-1) unstable; urgency=low

  * New upstream version. Closes: #111848.

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Sep 2001 20:01:25 +1000

gworldclock (0.3.1-2) unstable; urgency=low

  * Let gworldclock suggest tzwatch.

 -- Drew Parsons <dparsons@debian.org>  Sun,  9 Sep 2001 15:44:43 +1000

gworldclock (0.3.1-1) unstable; urgency=low

  * New upstream version, fixes lintian complaint about
    config.status in source package.
  * Created tzwatch package for tzwatch shell script.
  * New standards version 3.5.6.0.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Aug 2001 13:25:45 +1000

gworldclock (0.3.0-1) unstable; urgency=low

  * New upstream version.
  * Adds man page for gworldclock and for tzwatch (the man page
    that Joop Stakenborg put in twclock).
  * Use dh_installman to install gworldclock's man page.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jul 2001 11:42:48 +1000

gworldclock (0.2.1-1) unstable; urgency=low
  * New upstream version.
  * Replaces autoconf's symlinks to install-sh, missing and
    mkinstalldirs with the actual files they were linked to.
    They shouldn't have caused a problem if you compile with
    ./configure, but oh well.  Closes: #105188.
  * Standards version 3.5.5.0.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2001 00:43:00 +1000

gworldclock (0.2.0-1) unstable; urgency=low

  * New upstream version.
  * Implements time-synchronisation, yay!
  * Standards version 3.5.4.0.

 -- Drew Parsons <dparsons@debian.org>  Sat,  9 Jun 2001 19:04:10 +1000

gworldclock (0.1.0-4) unstable; urgency=low

  * Eeek, haven't I got time-synchronisation done yet?
  * Recompile against lastest libraries (in particular, X 4)
  * "New" maintainer.
    Thank you Joop for the help and sponsoring!  We'll have to work out
    what to do with tzwatch now :)
  * Suggests twclock, in order to get tzwatch (see above point).
  * Added menu entry, to Hamradio, where twclock is.
  * INSTALL removed from docs file.

 -- Drew Parsons <dparsons@debian.org>  Fri, 16 Feb 2001 23:30:56 +1100

gworldclock (0.1.0-3) unstable; urgency=low

  * Should list Drew Parsons as maintainer in the control file.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  1 Oct 2000 18:08:08 +0200

gworldclock (0.1.0-2) unstable; urgency=low

  * I am sponsoring this package on behalf of Drew Parsons.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 10 Jul 2000 16:39:01 +0200

gworldclock (0.1.0-1) unstable; urgency=low

  * New "upstream" version.
  * Zone list is now reorderable.
  * Some #include's added, and string functions better used.

 -- Drew Parsons <dfparsons@ucdavis.edu>  Wed, 28 Jun 2000 14:07:54 -0700

gworldclock (0.0.1-1) unstable; urgency=low

  * New "upstream" version.

 -- Drew Parsons <dfparsons@ucdavis.edu>  Sat, 20 May 2000 00:37:09 -0700

gworldclock (0.0.0-2) unstable; urgency=low

  * Test dch

 -- Drew Parsons <dfparsons@ucdavis.edu>  Sat, 20 May 2000 00:29:09 -0700

gworldclock (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Drew Parsons <dfparsons@ucdavis.edu>  Sat, 20 May 2000 00:27:39 -0700

Local variables:
mode: debian-changelog
End:
